Download it now!
Bug 93985 - [HELPAUTHORING] Extended tip dialog does not ask for path
Summary: [HELPAUTHORING] Extended tip dialog does not ask for path
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL: http://mail-archives.apache.org/mod_m...
Whiteboard:
Keywords:
Depends on:
Blocks: HelpAuthoring-Extension
  Show dependency treegraph
 
Reported: 2015-09-07 11:05 UTC by Olivier Hallot
Modified: 2015-09-16 19:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2015-09-07 11:05:26 UTC
The help authoring tool menu entry "Insert Extended tip" asks if the ET is hidden or not.

If the ET is not hidden, the dialog does not ask for the path.

To insert the path of the ET, one must edit the field just inserted.

So: implement a dialog to get the ET path when creating it.
Comment 1 Regina Henschel 2015-09-07 20:07:00 UTC
(In reply to Olivier Hallot from comment #0)
> The help authoring tool menu entry "Insert Extended tip" asks if the ET is
> hidden or not.
> 
> If the ET is not hidden, the dialog does not ask for the path.

Do you mean the help-ID? For example the part
  .uno:InsertRows
in
   hid=".uno:InsertRows"

If the extended tip is of kind 'visible', it neither asks for the help ID.
 
That seems to be a lack of the original version. The guide OOoHelpAuthoring.pdf has the text "In the current implementation, the hid attribute of the extended tip elements AVIS and AHID are not evaluated. The corresponding Help IDs must be placed as bookmarks in a paragraph before the extended tip." on page 103.

But if the field contains the help ID in the hid attribute, then the current version (3.1.1) transforms it correctly. Therefore I agree, that it would be helpful to have a method to enter the help ID directly in the dialog.

Enhancement?
Comment 2 Yousuf Philips (jay) (retired) 2015-09-13 13:59:20 UTC
I noticed this same issue and have patched it.
https://gerrit.libreoffice.org/18533
Comment 3 Regina Henschel 2015-09-13 19:20:29 UTC
I have remembered an explanation of Uwe Fischer (email-link in the URL). So my first thought, that something is missing was wrong. The command "Insert Extended tip" belongs to the ahelp-element. And its hid-attribute is not evaluated at all, but the help-id has to be given in a previous bookmark.
Comment 4 Yousuf Philips (jay) (retired) 2015-09-13 21:55:22 UTC
When you insert an invisible <ahelp> (aka <ahid>), the hid is used, like when you want an extended tooltip for a button or control in a dialog.

Example File - shared/02/09070100.xhp

<ahelp hid="cui/ui/hyperlinkmarkdialog/close" visibility="hidden">Once the hyperlink has been completely entered, click on <emph>Close</emph> to set the link and leave the dialog.</ahelp>
Comment 5 Yousuf Philips (jay) (retired) 2015-09-14 00:06:11 UTC
Seems some visible <ahelp> entries also have defined hIDs in the help.

/text/shared/01/02220000.xhp

<ahelp hid="svx/ui/imapdialog/TBI_PROPERTY">Allows you to define the properties of the selected hotspot.</ahelp>
Comment 6 Yousuf Philips (jay) (retired) 2015-09-14 00:19:12 UTC
Looking close at both visible and invisible <ahelp> entries, they all have bookmarks above them with the same hid, so it maybe good to replace the hid in <ahelp> with a period.

Example - shared/02/09070100.xhp

<bookmark xml-lang="en-US" branch="hid/cui/ui/hyperlinkmarkdialog/close" id="bm_id3145416" localize="false"/>

<paragraph role="paragraph" id="par_id3155388" xml-lang="en-US" l10n="U" oldref="35"><ahelp hid="cui/ui/hyperlinkmarkdialog/close" visibility="hidden">Once the hyperlink has been completely entered, click on <emph>Close</emph> to set the link and leave the dialog.</ahelp></paragraph>
Comment 7 Yousuf Philips (jay) (retired) 2015-09-16 19:31:11 UTC
Patch was merged and dialog will ask for path for both hidden and visible tips and defaults to period, so you can easily just click okay.